case node[:vs][:version]
	when "2015"
		include_recipe 'ec2helper'
		admin_xml = "#{Chef::Config[:cache_path]}/AdminDeployment.xml"
		sentinel_file = "C:/Program Files (x86)/Microsoft Visual Studio 14.0/Common7/IDE/devenv.exe"

		cookbook_file "AdminDeployment.xml" do
			path "#{admin_xml}"
		end

		directory "#{node[:vs][:remote_file][:path]}" do
			action :create
		end

		remote_file "#{node[:vs][:remote_file][:path]}/#{node[:vs][:iso_name]}" do
			source "#{node[:vs][:remote_file][:source]}"
			not_if { File.exist?("#{node[:vs][:remote_file][:path]}/#{node[:vs][:iso_name]}") || File.exist?(sentinel_file) }
		end

		ec2helper_iso 'MountvsIso' do
			volume_name "#{node[:vs][:ec2helper_iso][:volume_name]}"
			iso_filename "#{node[:vs][:iso_name]}"
			iso_path "#{node[:vs][:remote_file][:path]}"
			not_if { File.exist?(sentinel_file) }
		end

		execute 'Install Visual Studio' do
			command lazy {"#{node[:ec2helper][:iso][:mount][:drive_letter]}:/vs_professional.exe /quiet /ADMINFILE #{admin_xml}" }
			timeout 43200
			returns [0,3010]
			not_if { File.exist?( "#{sentinel_file}" ) }
		end
	else
		remote_file "#{node[:vs][:installer_path]}" do
			source "#{node[:vs][:installer_source]}"
			checksum "#{node[:vs][:installer_checksum]}"
			not_if { File.exist?( "C:/Program Files (x86)/Microsoft Visual Studio/2017/Professional/Common7/IDE/devenv.exe" ) }
		end
		execute 'Install Visual Studio' do
			timeout 43200
			command "#{node[:vs][:installer_path]} --quiet --add Microsoft.VisualStudio.Workload.CoreEditor --add Microsoft.VisualStudio.Workload.NetCoreTools --add Microsoft.VisualStudio.Workload.ManagedDesktop --wait --includeRecommended --includeOptional"
			not_if { File.exist?( "C:/Program Files (x86)/Microsoft Visual Studio/2017/Professional/Common7/IDE/devenv.exe" ) }
		end
end
